---
title: Valerii Kutsenko
published: true
taxonomy:
    category: [vp2024,bp2025]
    tag: [rag,nlp]
    author: Daniel Hladek
---


rok začiatku štúdia: 2022

# Bakalárska práca 2025




Cieľ je vylepšiť slovenský model pre generovanie vektrovej reprezentácie.

- vylepšiť proces  RAG: Generovanie jazyka s pomocou vyhľadávania -Retrieval augmented generation

  
- Možno pomocou vytvorenia-prekladu vlastnej trénovacej databázy.
- alebo pomocou nekontrolovaného učenia, reps. augmentácie alebo generovania.
- Alebo zber trénovacích dát z webového korpusu.
- Sústrediť sa na vektrovú reprezentáciu dokumentov?

Úlohy na semester - "nepovinné, oficiálne sa to začne na zimný semester 2024"

- Zistite čo je to Retrieval Augmented Generation a napíšte o tom správu.
- Naučte sa základy jazyka Python.
- Napíšte krátky report na 2 strany kde napíšete čo ste urobili a čo ste sa dozvedeli.

Stretnutie 9.5.24

Stav:

- Naštudované Deep dive intoi Python a dl2ai, niečo o RAG.

Úlohy:

- Zistite, ako funguje [Sentence Transformers](https://sbert.net/). Pozrite si dokumentáciu. Vyskúšajte zopakovať príklady pre slovenské texty a so [slovenským modelom](https://huggingface.co/TUKE-DeutscheTelekom/slovakbert-skquad-mnlr).  
- Urobe si poznámky.

Stretnutie 22.3.

Úlohy:

- Nainštalujte si prostredie Anaconda. Prejdite si knihu Dive Deep into Python 3.
- Prečítajte si knihu https://d2l.ai/ a napíšte si poznámky.
- Zistite ako  funguje RAG. Zistite ako funguje ChatGPT. Zistite ako funguje vyhľadávanie pomocou SentenceTranformers. Napíšte o tom poznámky.
- Skúste si tento tutoriál o [LangChain](https://python.langchain.com/docs/get_started/quickstart)
 
Zásobník úloh:

- Nainštalujte si PrivateGPT.
